<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".appblocking.FUAActivity">

    <ImageView
        android:id="@+id/back_btn"
        android:layout_width="35sp"
        android:layout_height="35sp"
        android:layout_margin="15dp"
        android:contentDescription="@string/back_button"
        android:padding="5dp"
        android:paddingStart="-15dp"
        android:paddingEnd="0dp"
        android:src="@drawable/arrow_back" />

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        android:text="@string/frequently_used_apps"
        android:fontFamily="sans-serif-medium"
        android:textColor="@color/black"
        android:textSize="20sp"

        android:layout_below="@id/back_btn"
        android:layout_marginHorizontal="15dp"

        />

    <TextView
        android:id="@+id/fua_sub_title"
        android:visibility="gone"
        android:layout_below="@id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="10dp"
        android:fontFamily="@font/nunito_regular"
        android:text="@string/add_frequently_used_apps_by_visiting_profile_frequently_used_apps"
        android:textColor="@color/black" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/fua_sub_title"
        android:layout_above="@id/done_btn"
        android:layout_marginTop="5dp"
        android:layout_marginHorizontal="15dp"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:weightSum="10"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:id="@+id/no_fua"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="5"
                android:orientation="vertical"

                android:layout_marginTop="15dp"
                android:layout_marginHorizontal="15dp"
                android:gravity="center"
                >

                <ImageView
                    android:layout_width="@dimen/_40sdp"
                    android:layout_height="@dimen/_40sdp"
                    android:layout_gravity="center_horizontal"
                    android:contentDescription="@string/apps"
                    android:src="@drawable/img_apps"
                    android:layout_marginBottom="15dp"
                    />

                <TextView
                    android:id="@+id/no_fua_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:text="@string/no_frequently_used_apps"
                    android:fontFamily="@font/nunito_regular"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textAlignment="center"

                    />

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_white_apps"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="5"
                android:layout_marginVertical="5dp"
                android:nestedScrollingEnabled="false"
                android:scrollbars="vertical"
                android:fadeScrollbars="false"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_white_list" />

<!--            <View-->
<!--                android:id="@+id/view"-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="1dp"-->
<!--                android:layout_marginHorizontal="10dp"-->
<!--                android:layout_marginVertical="10dp"-->
<!--                android:background="@color/black_10"-->
<!--                app:layout_constraintEnd_toEndOf="parent"-->
<!--                app:layout_constraintStart_toStartOf="parent"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/rv_white_apps" />-->

            <TextView
                android:id="@+id/all_app_tile"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:fontFamily="sans-serif-medium"
                android:text="@string/all_apps"
                android:textColor="@color/black"
                android:textSize="20sp"

                />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvApps"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="5"
                android:layout_marginVertical="5dp"
                android:nestedScrollingEnabled="true"
                android:scrollbars="vertical"
                android:fadeScrollbars="false"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/textView" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/done_btn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="15dp"
        android:layout_marginHorizontal="15dp"
        android:backgroundTint="@color/color_primary"
        android:layout_marginTop="5dp"
        android:text="@string/done"
        android:textColor="@color/white"
        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
        android:textAllCaps="true"
        android:paddingVertical="15dp"
        app:cornerRadius="10dp"

        android:layout_alignParentBottom="true"

        />

</RelativeLayout>